import { OpenAPIHono } from '@hono/zod-openapi';
import loginRoute from './login/password';
import logoutRoute from './logout';
import meRoute from './me/get';
import registerRoute from './register/create';
import ssoVerify from './sso-verify';

const app = new OpenAPIHono()
  .route('/', loginRoute)
  .route('/', logoutRoute)
  .route('/', meRoute)
  .route('/', registerRoute)
  .route('/', ssoVerify);

export default app;